REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
REM echo %1 OutputFile Security Log > ..\log\args.out
REM echo %2 OutputFile Error Log >> ..\log\args.out
REM echo %3 Temporary file 3 - not used >> ..\log\args.out
REM echo %4 Temporary file 4 - not used >> ..\log\args.out
REM echo %5 Option1 - Logfile location >> ..\log\args.out
REM echo %6 Option2 - Log prefix>> ..\log\args.out
REM echo %7 Option3 >> ..\log\args.out
REM echo %8 Option4 >> ..\log\args.out
REM echo %9 Option5 >> ..\log\args.out
REM echo %10 Option6 >> ..\log\args.out
REM echo %11 Option7 >> ..\log\args.out
REM echo %12 Option8 >> ..\log\args.out
REM echo %13 Platform >> ..\log\args.out

set secoutfile=%1
shift
set erroutfile=%1
shift
shift
shift
set ftpfolder=%1
shift
set logprefix=%1
shift
shift
shift
shift
shift
shift
shift
set propsfile=%1

REM echo %secoutfile%  > ..\log\args.out
REM echo %erroutfile% >> ..\log\args.out
REM echo %ftpfolder% >> ..\log\args.out
REM echo %propsfile% >> ..\log\args.out

@CScript //B //Nologo ..\bin\getStratuslogs.vbs %secoutfile% %propsfile%\Stratus\security_log  %ftpfolder% "^%logprefix%security_log_\d{1,2}-\d{1,2}-\d{1,2}_\d{1,2}"  "^\d+:  \d{1,2}-\d{1,2}-\d{1,2} \d{1,2}:\d{1,2}:\d{1,2} "

if errorlevel 1 goto err_ex
if errorlevel 0 goto con_ex

:con_ex
@CScript //B //Nologo ..\bin\getStratuslogs.vbs %erroutfile% %propsfile%\Stratus\syserr_log    %ftpfolder% "^%logprefix%syserr_log_\d{1,2}-\d{1,2}-\d{1,2}_\d{1,2}"    "^\d{1,2}:\d{1,2}:\d{1,2}  "

if errorlevel 1 goto err_ex
if errorlevel 0 goto suc_ex

:err_ex
exit 1

:suc_ex
exit 0

