rem IBM Confidential
rem OCO Source Material
rem 5724-S67
rem (c) Copyright IBM Corp. 1998, 2011
rem The source code for this program is not published or otherwise divested of
rem its trade secret, irrespective of what has been deposited with the U.S.
rem Copyright Office.

@echo off

setlocal
set ORIGINAL_CHUNK_1=%~1
set EXPORTED_CHUNK_1=%~2
set ORIGINAL_CHUNK_2=%~3
set EXPORTED_CHUNK_2=%~4
set USER_NAME=%~5
set USER_PWD=%~6
set LOGNAME_1=%~7
set LOGNAME_2=%~8
for %%I in (%*) do set PROPS_FILE=%%~I
for %%I in (%PROPS_FILE%) do set PROPS_NAME=%%~nI

set COLLECTED=0
set PROVIDERS_FILE=%PROPS_NAME%-providers.lst

echo MSExchange ActiveSync> %PROVIDERS_FILE%
echo MSExchange ADAccess>> %PROVIDERS_FILE%
echo MSExchange Certificate Authentication Module>> %PROVIDERS_FILE%
echo MSExchange Certificate Deployement>> %PROVIDERS_FILE%
echo MSExchange Cluster>> %PROVIDERS_FILE%
echo MSExchange Control Panel>> %PROVIDERS_FILE%
echo MSExchange Delegated Authentication Module>> %PROVIDERS_FILE%
echo MSExchange IMAP4 service>> %PROVIDERS_FILE%
echo MSExchange TransportService>> %PROVIDERS_FILE%
echo MSExchange POP3 service>> %PROVIDERS_FILE%
echo MSExchange LiveIDBasicAuthentification>> %PROVIDERS_FILE%
echo MSExchangeADTopology>> %PROVIDERS_FILE%
echo MSExchangeIMAP4>> %PROVIDERS_FILE%
echo MSExchangeIS>> %PROVIDERS_FILE%
echo MSExchangeIS Mailbox Store>> %PROVIDERS_FILE%
echo MSExchangeIS Public Store>> %PROVIDERS_FILE%
echo MSExchangePOP3>> %PROVIDERS_FILE%
echo MSExchangeRepl>> %PROVIDERS_FILE%
echo MSExchangeTransport>> %PROVIDERS_FILE%

rem Collect first log
call ..\bin\getmsevtxlogs.bat "%ORIGINAL_CHUNK_1%" "%EXPORTED_CHUNK_1%" "%USER_NAME%" "%USER_PWD%" "%LOGNAME_1%" "%PROVIDERS_FILE%" 1 1 0 "%COLLECTED%" 1 "%PROPS_FILE%"

if errorlevel 2 goto failure
if not errorlevel 1 set COLLECTED=1

Collect second and last log
call ..\bin\getmsevtxlogs.bat "%ORIGINAL_CHUNK_2%" "%EXPORTED_CHUNK_2%" "%USER_NAME%" "%USER_PWD%" "%LOGNAME_2%" "" 2 0 1 "%COLLECTED%" 1 "%PROPS_FILE%"

if errorlevel 2 goto failure

exit /b 0

:failure

if not "%ORIGINAL_CHUNK_1%" == "" type nul > "%ORIGINAL_CHUNK_1%"
if not "%EXPORTED_CHUNK_1%" == "" type nul > "%EXPORTED_CHUNK_1%"
if not "%ORIGINAL_CHUNK_2%" == "" type nul > "%ORIGINAL_CHUNK_2%"
if not "%EXPORTED_CHUNK_2%" == "" type nul > "%EXPORTED_CHUNK_2%"

exit /b 1
