REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
 
set TEMP_FILE=%1
set DSN=%2
set VIEW=%3
set USERNAME=%4
set PASSWORD=%5  
set PROPS_FILE=%6
set LOG_FILE="..\log\%PROPS_FILE%.log"

echo [%date%][%time%] Processing started . . .> %LOG_FILE%

if %TEMP_FILE% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)			
if %DSN% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %VIEW% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %USERNAME% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %PROPS_FILE% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)		

rem --------------------------------------------------------------
rem -----     Converting Database view name to uppercase     ----- 
rem --------------------------------------------------------------
set VIEW=%VIEW:a=A%
set VIEW=%VIEW:b=B%
set VIEW=%VIEW:c=C%
set VIEW=%VIEW:d=D%
set VIEW=%VIEW:e=E%
set VIEW=%VIEW:f=F%
set VIEW=%VIEW:g=G%
set VIEW=%VIEW:h=H%
set VIEW=%VIEW:i=I%
set VIEW=%VIEW:j=J%
set VIEW=%VIEW:k=K%
set VIEW=%VIEW:l=L%
set VIEW=%VIEW:m=M%
set VIEW=%VIEW:n=N%
set VIEW=%VIEW:o=O%
set VIEW=%VIEW:p=P%
set VIEW=%VIEW:q=Q%
set VIEW=%VIEW:r=R%
set VIEW=%VIEW:s=S%
set VIEW=%VIEW:t=T%
set VIEW=%VIEW:u=U%
set VIEW=%VIEW:v=V%
set VIEW=%VIEW:w=W%
set VIEW=%VIEW:x=X%
set VIEW=%VIEW:y=Y%
set VIEW=%VIEW:z=Z%

rem --------------------------------------------------------------
rem -----              Retrieving audit records              ----- 
rem --------------------------------------------------------------
..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -stdinpassword -useheaderline -props=%PROPS_FILE% -separator=";" "%TEMP_FILE%" "" "" "" %DSN% %USERNAME% "" %VIEW% TIMESTAMP >>%LOG_FILE% 2>&1
if errorlevel 1 (
	echo Failure: Collect process failed>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
	exit /b 1
)

rem --------------------------------------------------------------
rem -----       Storing the actuator state information       ----- 
rem --------------------------------------------------------------
echo [%date%][%time%] Processing finished [OK]>> %LOG_FILE%
