-- Licensed Materials - Property of IBM
-- 5724-S67
-- (c) Copyright IBM Corp. 1998, 2008   All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- START of SQL BLOCK

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfile
                WHERE     IX=4
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfile(IX,
Name,
Description,
SysPltfIX,
Message,
Executable,
SupportRemote) VALUES (4,
'Sybase ASE',
'Sybase ASE 的审计概要文件',
178,
null,
'..\bin\aseauditprofile.exe',
1);

ELSE
  UPDATE &&DATABASE..AuditProfile
  SET IX=4
  , Name='Sybase ASE'
  , Description='Sybase ASE 的审计概要文件'
  , SysPltfIX=178
  , Message=null
  , Executable='..\bin\aseauditprofile.exe'
  , SupportRemote=1

  WHERE IX=4
;
END IF; 
END
!
 -- End Other 


-- END of SQL BLOCK
!
-- START of SQL BLOCK

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileIndex
                WHERE     IX=4
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileIndex(IX,
NextIX) VALUES (4,
1001);

ELSE
  UPDATE &&DATABASE..AuditProfileIndex
  SET IX=4
  , NextIX=1001

  WHERE IX=4
;
END IF; 
END
!
 -- End Other 


-- END of SQL BLOCK
!
-- START of SQL BLOCK

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileOption
                WHERE     IX=6
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileOption(IX,
AuditProfileIX,
Name,
Description,
Value,
Hidden,
Password) VALUES (6,
4,
'数据源名称',
'连接到 Sybase 的 ODBC 数据源的名称',
'',
0,
0);

ELSE
  UPDATE &&DATABASE..AuditProfileOption
  SET IX=6,
AuditProfileIX=4,
Name='数据源名称',
Description='连接到 Sybase 的 ODBC 数据源的名称',
Value='',
Hidden=0,
Password=0

  WHERE IX=6
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileOption
                WHERE     IX=7
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileOption(IX,
AuditProfileIX,
Name,
Description,
Value,
Hidden,
Password) VALUES (7,
4,
'登录名',
'对 Sybase 具有系统安全官特权的帐户',
'sa',
0,
0);

ELSE
  UPDATE &&DATABASE..AuditProfileOption
  SET IX=7,
AuditProfileIX=4,
Name='登录名',
Description='对 Sybase 具有系统安全官特权的帐户',
Value='sa',
Hidden=0,
Password=0

  WHERE IX=7
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileOption
                WHERE     IX=8
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileOption(IX,
AuditProfileIX,
Name,
Description,
Value,
Hidden,
Password) VALUES (8,
4,
'密码',
'对 Sybase 具有系统安全官特权的帐户的密码',
'',
0,
1);

ELSE
  UPDATE &&DATABASE..AuditProfileOption
  SET IX=8
  , AuditProfileIX=4
  , Name='密码'
  , Description='对 Sybase 具有系统安全官特权的帐户的密码'
  , Value=''
  , Hidden=0
  , Password=1

  WHERE IX=8
;
END IF; 
END
!
 -- End Other 


-- END of SQL BLOCK
!
-- START of SQL BLOCK

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileScript
                WHERE     IX=13
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileScript(IX,
AuditProfileIX,
Name,
Description,
FileName,
Type) VALUES (13,
4,
'高',
'设置高审计级别',
'..\bin\aseprofilehigh.tsql',
0);

ELSE
  UPDATE &&DATABASE..AuditProfileScript
  SET IX=13,
AuditProfileIX=4,
Name='高',
Description='设置高审计级别',
FileName='..\bin\aseprofilehigh.tsql',
Type=0

  WHERE IX=13
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileScript
                WHERE     IX=14
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileScript(IX,
AuditProfileIX,
Name,
Description,
FileName,
Type) VALUES (14,
4,
'中',
'设置中审计级别',
'..\bin\aseprofilemedium.tsql',
1);

ELSE
  UPDATE &&DATABASE..AuditProfileScript
  SET IX=14,
AuditProfileIX=4,
Name='中',
Description='设置中审计级别',
FileName='..\bin\aseprofilemedium.tsql',
Type=1

  WHERE IX=14
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileScript
                WHERE     IX=15
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileScript(IX,
AuditProfileIX,
Name,
Description,
FileName,
Type) VALUES (15,
4,
'低',
'设置低审计级别',
'..\bin\aseprofilelow.tsql',
2);

ELSE
  UPDATE &&DATABASE..AuditProfileScript
  SET IX=15,
AuditProfileIX=4,
Name='低',
Description='设置低审计级别',
FileName='..\bin\aseprofilelow.tsql',
Type=2

  WHERE IX=15
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..AuditProfileScript
                WHERE     IX=16
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..AuditProfileScript(IX,
AuditProfileIX,
Name,
Description,
FileName,
Type) VALUES (16,
4,
'清除',
'清除审计',
'..\bin\aseprofileclear.tsql',
3);

ELSE
  UPDATE &&DATABASE..AuditProfileScript
  SET IX=16
  , AuditProfileIX=4
  , Name='清除'
  , Description='清除审计'
  , FileName='..\bin\aseprofileclear.tsql'
  , Type=3

  WHERE IX=16
;
END IF; 
END
!
 -- End Other 


-- END of SQL BLOCK
!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=179
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
179,
'Sybase Adaptive Server Enterprise 分组',
'Sybase Adaptive Server Enterprise 的 User Information Source',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=179,
Name='Sybase Adaptive Server Enterprise 分组',
Description='Sybase Adaptive Server Enterprise 的 User Information Source',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=179
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=179
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (179,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=179,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=179
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Name of Executable',
'..\bin\actuator.exe',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(179,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Log File Name',
'..\log\AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(179,
'CommandLine2',
'Log File Name',
'..\log\AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Program Path',
'..\bin\getasegroups.bat',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='User information file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'User information file',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Configuration file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Configuration file',
'sybasease_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='数据源名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'数据源名称',
'',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='登录名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'登录名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Source System Name',
'ASE Host Name',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(179,
'SystemName',
'Source System Name',
'ASE Host Name',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=178
  AND rightclassix=28
  AND rightix=179
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
178,
28,
179,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=178,
rightclassix=28,
rightix=179,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=178
  AND rightclassix=28
  AND rightix=179
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(179,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
179,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=179,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
179,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=179,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=13
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
179,
29,
13,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=179,
rightclassix=29,
rightix=13,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=13
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
179,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=179,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=179
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=179
  AND rightclassix=28
  AND rightix=179
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
179,
28,
179,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=179,
rightclassix=28,
rightix=179,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=179
  AND rightclassix=28
  AND rightix=179
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=179
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=179
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
179,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(179,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=195
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
195,
'通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
'通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=195,
Name='通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
Description='通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=195
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=195
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (195,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=195,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=195
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Name of Executable',
'..\bin\actuator.exe',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(195,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(195,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Program Path',
'../bin/getasegroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Temporary File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Temporary File',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Configuration File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Configuration File Name',
'sybasease_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Sybase 服务器名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Sybase 服务器名称',
'servername',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Sybase 用户名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Sybase 用户名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Sybase 密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Sybase 密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Sybase 开放式客户机/服务器文件夹'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Sybase 开放式客户机/服务器文件夹',
'/opt/sybase/OCS-15_0',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(195,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(195,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=195
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
28,
195,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=28,
rightix=195,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=195
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=195
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
195,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=195,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=195
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=195
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
195,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=195,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=195
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=195
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
195,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=195,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=195
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=195
  AND rightclassix=28
  AND rightix=195
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
195,
28,
195,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=195,
rightclassix=28,
rightix=195,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=195
  AND rightclassix=28
  AND rightix=195
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(195,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='SSH 密钥文件'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'SSH 密钥文件',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='SSH 用户'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'SSH 用户',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=195
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=195
  AND name='SSH 端口'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
195,
'SSH 端口',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=178
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
178,
'Sybase Adaptive Server Enterprise',
'Windows 上的 Sybase Adaptive Server Enterprise',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=178,
Name='Sybase Adaptive Server Enterprise',
Description='Windows 上的 Sybase Adaptive Server Enterprise',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=178
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=178
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (178,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=178,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=178
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Name of Executable',
'..\bin\actuator.exe',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(178,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Log File Name',
'..\log\AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(178,
'CommandLine2',
'Log File Name',
'..\log\AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Program Path',
'..\bin\getaselogs.bat',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='-'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'-',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='数据源名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'数据源名称',
'',
6,
0,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='登录名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'登录名',
'sa',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'密码',
'',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Source System Name',
'ASE Host Name',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(178,
'SystemName',
'Source System Name',
'ASE Host Name',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Platform Type',
'Sybase ASE',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(178,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
178,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=178,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
178,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=178,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=13
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
178,
29,
13,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=178,
rightclassix=29,
rightix=13,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=13
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
178,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=178,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=178
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Hide',
'Option3',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=178
  AND rightclassix=28
  AND rightix=178
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
178,
28,
178,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=178,
rightclassix=28,
rightix=178,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=178
  AND rightclassix=28
  AND rightix=178
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(178,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=178
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=178
  AND name='审计跟踪的语言代码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
178,
'审计跟踪的语言代码',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(178,
'userlanguage',
'审计跟踪的语言代码',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=193
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
193,
'通过 SSH 的 Sybase Adaptive Server Enterprise',
'通过 SSH 的 Sybase Adaptive Server Enterprise',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=193,
Name='通过 SSH 的 Sybase Adaptive Server Enterprise',
Description='通过 SSH 的 Sybase Adaptive Server Enterprise',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=193
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=193
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (193,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=193,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=193
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Name of Executable',
'..\bin\actuator.exe',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(193,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(193,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Program Path',
'../bin/genact-main-1',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Temporary File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Temporary File',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Configuration File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Configuration File Name',
'./sybasease.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Sybase 服务器名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Sybase 服务器名称',
'servername',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Sybase 用户名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Sybase 用户名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Sybase 密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Sybase 密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Sybase 开放式客户机/服务器文件夹'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Sybase 开放式客户机/服务器文件夹',
'/opt/sybase/OCS-15_0',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(193,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Platform Type',
'Sybase ASE',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(193,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=193
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
28,
193,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=28,
rightix=193,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=193
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(193,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='SSH 密钥文件'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'SSH 密钥文件',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='SSH 用户'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'SSH 用户',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='SSH 端口'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'SSH 端口',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=193
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=193
  AND name='审计跟踪的语言代码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
193,
'审计跟踪的语言代码',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(193,
'userlanguage',
'审计跟踪的语言代码',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=514
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
514,
'通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
'通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
29,
11);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=514,
Name='通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
Description='通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
ParentClassIX=29,
ParentIX=11

  WHERE ClassIX=28
  AND IX=514
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=514
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (514,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=514,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=514
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(514,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(514,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Program Path',
'../bin/getasegroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Temporary File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Temporary File',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Configuration File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Configuration File Name',
'sybasease_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Sybase 服务器名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Sybase 服务器名称',
'servername',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Sybase 用户名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Sybase 用户名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Sybase 密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Sybase 密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Sybase 开放式客户机/服务器文件夹'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Sybase 开放式客户机/服务器文件夹',
'/opt/sybase/OCS-15_0',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(514,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(514,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=514
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
28,
514,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=28,
rightix=514,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=514
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=514
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
514,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=514,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=514
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=514
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
514,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=514,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=514
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=514
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
514,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=514,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=514
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=514
  AND rightclassix=28
  AND rightix=514
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
514,
28,
514,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=514,
rightclassix=28,
rightix=514,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=514
  AND rightclassix=28
  AND rightix=514
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(514,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='SSH 密钥文件'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'SSH 密钥文件',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='SSH 用户'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'SSH 用户',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=514
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=514
  AND name='SSH 端口'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
514,
'SSH 端口',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=512
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
512,
'通过 SSH 的 Sybase Adaptive Server Enterprise',
'通过 SSH 的 Sybase Adaptive Server Enterprise',
29,
11);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=512,
Name='通过 SSH 的 Sybase Adaptive Server Enterprise',
Description='通过 SSH 的 Sybase Adaptive Server Enterprise',
ParentClassIX=29,
ParentIX=11

  WHERE ClassIX=28
  AND IX=512
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=512
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (512,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=512,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=512
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(512,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(512,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Program Path',
'../bin/genact-main-1',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Temporary File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Temporary File',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Configuration File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Configuration File Name',
'./sybasease.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Sybase 服务器名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Sybase 服务器名称',
'servername',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Sybase 用户名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Sybase 用户名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Sybase 密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Sybase 密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Sybase 开放式客户机/服务器文件夹'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Sybase 开放式客户机/服务器文件夹',
'/opt/sybase/OCS-15_0',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(512,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Platform Type',
'Sybase ASE',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(512,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=512
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
512,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=512,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=512
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=512
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
512,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=512,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=512
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=512
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
512,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=512,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=512
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=512
  AND rightclassix=28
  AND rightix=512
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
512,
28,
512,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=512,
rightclassix=28,
rightix=512,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=512
  AND rightclassix=28
  AND rightix=512
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(512,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='SSH 密钥文件'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'SSH 密钥文件',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='SSH 用户'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'SSH 用户',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='SSH 端口'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'SSH 端口',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=512
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=512
  AND name='审计跟踪的语言代码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
512,
'审计跟踪的语言代码',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(512,
'userlanguage',
'审计跟踪的语言代码',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=515
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
515,
'通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
'通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=515,
Name='通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
Description='通过 SSH 的 Sybase Adaptive Server Enterprise 分组',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=515
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=515
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (515,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=515,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=515
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(515,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(515,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Program Path',
'../bin/getasegroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Temporary File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Temporary File',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Configuration File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Configuration File Name',
'sybasease_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Sybase 服务器名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Sybase 服务器名称',
'servername',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Sybase 用户名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Sybase 用户名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Sybase 密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Sybase 密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Sybase 开放式客户机/服务器文件夹'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Sybase 开放式客户机/服务器文件夹',
'/opt/sybase/OCS-15_0',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(515,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(515,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=515
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
193,
28,
515,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=193,
rightclassix=28,
rightix=515,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=193
  AND rightclassix=28
  AND rightix=515
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=515
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
515,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=515,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=515
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=515
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
515,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=515,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=515
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=515
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
515,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=515,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=515
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=515
  AND rightclassix=28
  AND rightix=515
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
515,
28,
515,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=515,
rightclassix=28,
rightix=515,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=515
  AND rightclassix=28
  AND rightix=515
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(515,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='SSH 密钥文件'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'SSH 密钥文件',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='SSH 用户'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'SSH 用户',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=515
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=515
  AND name='SSH 端口'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
515,
'SSH 端口',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=513
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
513,
'通过 SSH 的 Sybase Adaptive Server Enterprise',
'通过 SSH 的 Sybase Adaptive Server Enterprise',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=513,
Name='通过 SSH 的 Sybase Adaptive Server Enterprise',
Description='通过 SSH 的 Sybase Adaptive Server Enterprise',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=513
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=513
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (513,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=513,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=513
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(513,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(513,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Program Path',
'../bin/genact-main-1',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Temporary File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Temporary File',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Configuration File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Configuration File Name',
'./sybasease.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Sybase 服务器名称'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Sybase 服务器名称',
'servername',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Sybase 用户名'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Sybase 用户名',
'sa',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Sybase 密码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Sybase 密码',
'',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Sybase 开放式客户机/服务器文件夹'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Sybase 开放式客户机/服务器文件夹',
'/opt/sybase/OCS-15_0',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(513,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Platform Type',
'Sybase ASE',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='审计跟踪的文本编码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'审计跟踪的文本编码',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(513,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Hide',
'Option4',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=513
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
513,
29,
10,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=513,
rightclassix=29,
rightix=10,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=513
  AND rightclassix=29
  AND rightix=10
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=513
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
513,
29,
11,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=513,
rightclassix=29,
rightix=11,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=513
  AND rightclassix=29
  AND rightix=11
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=513
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
513,
29,
14,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=513,
rightclassix=29,
rightix=14,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=513
  AND rightclassix=29
  AND rightix=14
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=513
  AND rightclassix=28
  AND rightix=513
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
513,
28,
513,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=513,
rightclassix=28,
rightix=513,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=513
  AND rightclassix=28
  AND rightix=513
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(513,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='SSH 密钥文件'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'SSH 密钥文件',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='SSH 用户'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'SSH 用户',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='SSH 端口'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'SSH 端口',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=513
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=513
  AND name='审计跟踪的语言代码'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
513,
'审计跟踪的语言代码',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(513,
'userlanguage',
'审计跟踪的语言代码',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!
