/// BMCControlSA.src.gml - Licensed Materials ­ Property of IBM
/// BMCControlSA.src.gml - 5724-S67
/// BMCControlSA.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// BMCControlSA.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype,platformname)
key ObjectRefKey(objecttype,objectpath,objectname)
key StreamRefKey(description)
key SourceRefKey(realname,logonname)
key OriginRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key EventDetailKey(access,Target,platformeventendtime,description,recordtype)

initial final state BMCControlSA
  platformname		:= GetChunkProperty(BMCControlSA,"SystemName")
  platformtype		:= BMCControlSA.platformtype
  platform		:= GetPlatform(PlatformRefKey)
  if( (BMCControlSA.objectname ne null) and (BMCControlSA.objectname ne "NULL")
      and (BMCControlSA.objectname ne "")) then
     objectname	:= BMCControlSA.objectname
  else
     objectname	:= "Unavailable"
  endif
  if( (BMCControlSA.objecttype ne null) and (BMCControlSA.objecttype ne "NULL")
      and (BMCControlSA.objecttype ne "")) then
     objecttype	:= BMCControlSA.objecttype
  else
     objecttype	:= "Unavailable"
  endif
  if( (BMCControlSA.objectpath ne null) and (BMCControlSA.objectpath ne "NULL")
      and (BMCControlSA.objectpath ne "")) then
     objectpath		:= RegexReplace(BMCControlSA.objectpath,"\\.\\.","")
  else
     objectpath	:= "Unavailable"
  endif
  object		:= GetObject(ObjectRefKey)		
  stream		:= GetStream (StreamRefKey)
  if( (BMCControlSA.logonname ne null) and (BMCControlSA.logonname ne "NULL")
      and (BMCControlSA.logonname ne "")) then
     logonname		:= BMCControlSA.logonname
  else
     logonname	:= "Unavailable"
  endif
  realname		:= logonname
  source		:= GetSource(SourceRefKey)
  target		:= GetTarget(TargetRefKey)
  origin		:= GetOrigin(OriginRefKey)	
  if( (BMCControlSA.eventmainclass ne null) and (BMCControlSA.eventmainclass ne "NULL")
      and (BMCControlSA.eventmainclass ne "")) then
     eventmainclass	:= BMCControlSA.eventmainclass
  else
     eventmainclass	:= "Unavailable"
  endif
  if( (BMCControlSA.eventclass ne null) and (BMCControlSA.eventclass ne "NULL")
      and (BMCControlSA.eventclass ne "")) then
     eventclass		:= BMCControlSA.eventclass
  else
     eventclass	:= "Unavailable"
  endif
  if( (BMCControlSA.successclass ne null) and (BMCControlSA.successclass ne "NULL")
      and (BMCControlSA.successclass ne "")) then
     successclass	:= BMCControlSA.successclass 
  else
     successclass	:= "Unavailable"
  endif
  eventtimestamp	:= BMCControlSA.platformeventtime
  platformeventtime	:= BMCControlSA.platformeventtime
  platformeventendtime	:= BMCControlSA.platformeventendtime
  access		:= BMCControlSA.access
  Target		:= BMCControlSA.target
  recordtype		:= BMCControlSA.recordtype
  if( (BMCControlSA.description ne null) and (BMCControlSA.description ne "NULL")
      and (BMCControlSA.description ne "")) then
     description	:= BMCControlSA.description
  else
     description	:= "-"
  endif
  chunk			:= BMCControlSA
  event			:= GetEvent(EventDetailKey)
endstate
