/// TopSecretVSE.src.gml - Licensed Materials ­ Property of IBM
/// TopSecretVSE.src.gml - 5724-S67
/// TopSecretVSE.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// TopSecretVSE.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// TopSecretVSE.gml

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceAspectKey(originator)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(reason,tty)

initial final state TopSecret
  platformname:=TopSecret.sysi
  platformtype:="TopSecret_VSE"
  origin:=GetOrigin(OriginRefKey)
  target:=GetTarget(TargetRefKey)
  platform:=GetPlatform(PlatformRefKey)
  objecttype:=TopSecret.objecttype
  objectpath:=TopSecret.objectpath
  objectname:=TopSecret.objectname
  object:=GetObject(ObjectRefKey)
  logonname:=Trim(TopSecret.logonname,"-")
  realname:=logonname
  originator:=logonname
  source:=GetSource(SourceRefKey,SourceAspectKey)
  description:=TopSecret.platformeventtime
  stream:=GetStream(StreamRefKey)
  eventmainclass:=NormalizeString(TopSecret.eventmainclass)
  eventclass:=TopSecret.eventclass
  successclass:=TopSecret.successclass
  reason:=TopSecret.description
  tty:=TopSecret.terminal
  chunk:=TopSecret
  eventtimestamp:=TopSecret.platformeventtime
  event:=GetEvent(EventDetailKey)
endstate
