/// mssql.src.gml - Licensed Materials ­ Property of IBM
/// mssql.src.gml - 5724-S67
/// mssql.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// mssql.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventRefKey(miscellaneous)

initial final state MSSQLServer

        platformtype := MSSQLServer.pltftype
        platformname := MSSQLServer.epiname
        platform     := GetPlatform(PlatformRefKey)

        if ((MSSQLServer.objectname ne null) and (MSSQLServer.objectname ne "NULL")
                and (MSSQLServer.objectname ne "")) then
                objectname := MSSQLServer.objectname
        else 
                objectname := "Unavailable"
        endif
        if ((MSSQLServer.objecttype ne null) and (MSSQLServer.objecttype ne "NULL")
                and (MSSQLServer.objecttype ne "")) then 
                objecttype := MSSQLServer.objecttype
        else
                objecttype := "Unavailable"
        endif
        if (MSSQLServer.objectpath ne null and MSSQLServer.objectpath ne "NULL"
                	and MSSQLServer.objectpath ne "") then
                objectpath := MSSQLServer.objectpath
        else
               	objectpath := "-"
        endif
        if (MSSQLServer.emainclass eq "Logon" and  MSSQLServer.eclass eq "User") then
        	objectpath := platformname
        endif

        object := GetObject(ObjectRefKey)

        if ((MSSQLServer.logonname ne null) and (MSSQLServer.logonname ne "")
        		and (MSSQLServer.logonname ne "NULL")) then
                logonname := MSSQLServer.logonname
	else
		logonname := "SYSTEM"
        endif

	description := Append(platformname,"\\",logonname)
	stream := GetStream (StreamRefKey)

        realname := logonname
        source := GetSource(SourceRefKey)

        target := GetTarget (TargetRefKey)

        origin := GetOrigin(OriginRefKey)

        if (MSSQLServer.eventdescription ne null) then
		miscellaneous := MSSQLServer.eventdescription
        else
                miscellaneous := "Unavailable"
        endif
	miscellaneous := Append(miscellaneous,"\\",MSSQLServer.eventid,"\\",MSSQLServer.category)

        if (MSSQLServer.emainclass ne null and MSSQLServer.emainclass ne "NULL"
                	and MSSQLServer.emainclass ne "") then
                eventmainclass := MSSQLServer.emainclass
        else
                eventmainclass := "Unavailable"
        endif

        if (MSSQLServer.eclass ne null and MSSQLServer.eclass ne "NULL"
                	and MSSQLServer.eclass ne "") then
                eventclass := MSSQLServer.eclass
        else
                eventclass := "Unavailable"
        endif

        if ((MSSQLServer.successclass ne null) and (MSSQLServer.successclass ne "NULL")
                and (MSSQLServer.successclass ne "")) then
                successclass := MSSQLServer.successclass
        else
                successclass := "Unavailable"
        endif

        eventtimestamp := MSSQLServer.platformeventtime
        chunk          := MSSQLServer
        event  := GetEvent(EventRefKey)

endstate

