REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2011   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off

set TMPFILE1=%1
SHIFT
set TMPFILE2=%1
SHIFT
set TMPFILE3=%1
SHIFT
set TMPFILE4=%1
SHIFT

set DEFAULT_LOGDIR=%1

set LOGS_TACACS_ACC=%2
set LOGS_AUTH_FAIL=%3
set LOGS_AUTH_PASS=%4
set LOGS_AUTH_ADMIN=%5

set PROPERTIES_FILE=%6

set LOGFILE=..\log\%PROPERTIES_FILE%.log

echo CSACS Actuator script start >>%LOGFILE%
set GLOBAL_EXIT_CODE=1

echo ..\bin\getcsvlogs.exe %TMPFILE1% %DEFAULT_LOGDIR% %LOGS_TACACS_ACC% tacacs_acc %PROPERTIES_FILE% >>%LOGFILE%
..\bin\getcsvlogs.exe %TMPFILE1% %DEFAULT_LOGDIR% %LOGS_TACACS_ACC% tacacs_acc %PROPERTIES_FILE% >>%LOGFILE% 2>&1
if "%ERRORLEVEL%" == "0" set GLOBAL_EXIT_CODE=0

echo ..\bin\getcsvlogs.exe %TMPFILE2% %DEFAULT_LOGDIR% %LOGS_AUTH_FAIL% auth_fail %PROPERTIES_FILE% >>%LOGFILE%
..\bin\getcsvlogs.exe %TMPFILE2% %DEFAULT_LOGDIR% %LOGS_AUTH_FAIL% auth_fail %PROPERTIES_FILE% >>%LOGFILE% 2>&1
if "%ERRORLEVEL%" == "0" set GLOBAL_EXIT_CODE=0

echo ..\bin\getcsvlogs.exe %TMPFILE3% %DEFAULT_LOGDIR% %LOGS_AUTH_PASS% auth_pass %PROPERTIES_FILE% >>%LOGFILE%
..\bin\getcsvlogs.exe %TMPFILE3% %DEFAULT_LOGDIR% %LOGS_AUTH_PASS% auth_pass %PROPERTIES_FILE% >>%LOGFILE% 2>&1
if "%ERRORLEVEL%" == "0" set GLOBAL_EXIT_CODE=0

echo ..\bin\getcsvlogs.exe %TMPFILE4% %DEFAULT_LOGDIR% %LOGS_AUTH_ADMIN% tacacs_admin %PROPERTIES_FILE% >>%LOGFILE%
..\bin\getcsvlogs.exe %TMPFILE4% %DEFAULT_LOGDIR% %LOGS_AUTH_ADMIN% tacacs_admin %PROPERTIES_FILE% >>%LOGFILE% 2>&1
if "%ERRORLEVEL%" == "0" set GLOBAL_EXIT_CODE=0

echo CSACS Actuator script finish with code = %GLOBAL_EXIT_CODE% >>%LOGFILE%
exit %GLOBAL_EXIT_CODE%
